/*
 * The_xmloperator_project Software License, Version 1.7
 *
 * Copyright (c) 2000 - 2003 The_xmloperator_project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *      "This product includes or uses software developped
 *       by The_xmloperator_project (http://www.xmloperator.net/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. Products derived from this software may not be called "xmloperator",
 *    nor may "xmloperator" appear in their name, without prior written
 *    permission. For written permission, please contact
 *    the xmloperator project administrator.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE_XMLOPERATOR_PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * Further information can be found on the project's site
 * (http://www.xmloperator.net/).
 */
package org.xmloperator.view.resource;

import org.xmloperator.view.resource.ViewResource;

public class ViewResource_fr extends ViewResource {
  protected static final Object[][] contents = {

    // Textes concernant les documents ou fichiers

    {FICHIER, "Fichier"},
    {MNEMO + FICHIER, "F"},
    {DOCUMENT, "Document"},
    {MNEMO + DOCUMENT, "D"},
    {NOUVEAU_DOCUMENT, "Nouveau document"},
    {MNEMO + NOUVEAU_DOCUMENT, "N"},
    {SELECT_DOCUMENT_TYPE, "Slectionner un type de document"},
    {SELECT_RESULT_DOCUMENT_TYPE, "Slectionner le type du document-rsultat"},
    {NOM_DE_FICHIER, "Nom de fichier"},
    {DOCUMENT_TYPES, "Types de document"},
    {MNEMO + DOCUMENT_TYPES, "Y"},
    {DOCUMENT_TYPE, "Type de document"},
    {MNEMO + DOCUMENT_TYPE, "T"},
    {ADDITIONAL_KEY, "Cl additionnelle"},
    {SCHEMA_TYPE, "Type de schma"},
    {NAMESPACE_IDENTIFIER, "Identifiant d'espace de nommage"},
    {DEFAULT_TRANSFORMER, "Transformateur par dfaut"},
    {UNDEFINED, "indfini"},
    {TRANSFORMERS, "Transformateurs"},
    {MNEMO + TRANSFORMERS, "F"},
    {TRANSFORMER, "Transformateur"},
    {MNEMO + TRANSFORMER, "F"},
    {OPERATOR, "Oprateur"},
    {DOCUMENT_TYPE_NAME, "Nom de type de document"},
    {CLASS_NAME, "Nom de classe"},
    {PARAM_NAMES, "Noms des paramtres"},
    {APPLY, "Appliquer"},
    {CHOOSE, "Parcourir"},
    {BUILD, "Construire"},
    {MNEMO + BUILD, "B"},
    {BUILD_DTD, "Construire DTD"},
    {MNEMO + BUILD_DTD, "C"},
    {WITH_PARAMETER_ENTITIES, "Avec entits paramtres"},
    {MNEMO + WITH_PARAMETER_ENTITIES, "A"},
    {WITHOUT_PARAMETER_ENTITIES, "Sans entits paramtres"},
    {MNEMO + WITHOUT_PARAMETER_ENTITIES, "S"},
    /*
    {BUILD_RNG, "Construire RNG"},
    {MNEMO + BUILD_RNG, "N"},
    {FULL_TO_SIMPLE, "Simplification de la syntaxe"},
    {MNEMO + FULL_TO_SIMPLE, "S"},
    */
    {STYLE_SHEET, "Feuille de style"},
    {MNEMO + STYLE_SHEET, "S"},
    {ADD, "Ajouter"},
    {MNEMO + ADD, "A"},
    {NEW, "Nouveau"},
    {MNEMO + NEW, "N"},
    /*
    {NEW_TYPE, "Nouveau type"},
    {MNEMO + NEW_TYPE, "N"},
    */
    {SELECTED_TYPE, "Type slectionn"},
    {MNEMO + SELECTED_TYPE, "S"},
    {FICHIER_OPTIONS, "Fichier options"},
    {MNEMO + FICHIER_OPTIONS, "O"},
    {DUPLICATE, "Dupliquer"},
    {MNEMO + DUPLICATE, "U"},
    {MODIFY, "Modifier"},
    {MNEMO + MODIFY, "M"},
    {EDIT_DTD, "Editer DTD"},
    {MNEMO + EDIT_DTD, "D"},
    {EDIT_RNG, "Editer RNG"},
    {MNEMO + EDIT_RNG, "G"},
    {FULL_SYNTAX, "Syntaxe complte"},
    {MNEMO + FULL_SYNTAX, "C"},
    {SIMPLIFY_RNG, "Simplifier schma RELAX NG"},
    {MNEMO + SIMPLIFY_RNG, "P"},
    {SIMPLE_SYNTAX, "Syntaxe simplifie"},
    {MNEMO + SIMPLE_SYNTAX, "S"},
    {GROUP_WITH_MORE_THAN_TWO_CHILDREN, "Groupe de plus de deux"},
    {MNEMO + GROUP_WITH_MORE_THAN_TWO_CHILDREN, "G"},
    {REF_RESOLUTION_ONLY, "Rsoudre seulement les ref"},
    {MNEMO + REF_RESOLUTION_ONLY, "R"},
    {REMOVE_EMPTY_TEXTS, "Supprimer les textes vides"},
    {MNEMO + REMOVE_EMPTY_TEXTS, "P"},
    {INDENT_ELEMENTS, "Indenter les lments"},
    {MNEMO + INDENT_ELEMENTS, "N"},
    {ADD_NAMESPACE, "Ajoute espace de nom"},
    {MNEMO + ADD_NAMESPACE, "P"},
    {EDIT_SOURCE, "Editer source"},
    {MNEMO + EDIT_SOURCE, "C"},
    {AS, "Sous"},
    {MNEMO + AS, "S"},
    {TO_DTDXML_AS, "En DTDXML sous"},
    {MNEMO + TO_DTDXML_AS, "X"},
    {AS_DTD, "Comme DTD"},
    {MNEMO + AS_DTD, "D"},
    {AS_DTDXML, "En DTDXML"},
    {MNEMO + AS_DTDXML, "X"},
    {REPLACE, "Remplacer"},
    {MNEMO + REPLACE, "R"},
    {SUPPRIMER, "Supprimer"},
    {MNEMO + SUPPRIMER, "S"},
    {MONTER, "Monter"},
    {MNEMO + MONTER, "M"},
    {DESCENDRE, "Descendre"},
    {MNEMO + DESCENDRE, "D"},
    {NOUVELLE_INSTANCE, "Nouvelle instance"},
    {MNEMO + NOUVELLE_INSTANCE, "I"},
    {OPEN_DOCUMENT, "Ouvrir document"},
    {MNEMO + OPEN_DOCUMENT, "O"},
    {BROWSE, "Parcourir"},
    {MNEMO + BROWSE, "P"},
    {ENTER, "Entrer"},
    {MNEMO + ENTER, "E"},
    {REOUVRIR_DOCUMENT, "Rouvrir document"},
    {MNEMO + REOUVRIR_DOCUMENT, "R"},
    {FERMER_DOCUMENT, "Fermer document"},
    {MNEMO + FERMER_DOCUMENT, "F"},
    {OPEN_DTD, "Ouvrir DTD"},
    {MNEMO + OPEN_DTD, "T"},
    {CLOSE_DTD, "Fermer DTD"},
    {MNEMO + CLOSE_DTD, "M"},
    {OPEN_RNG, "Ouvrir schma RELAX NG"},
    {MNEMO + OPEN_RNG, "N"},
    {SAVE_DOCUMENT, "Enregistrer document"},
    {MNEMO + SAVE_DOCUMENT, "E"},
    {SAVE_AND_RELOAD_DOCUMENT, "Enregistrer et recharger document"},
    {MNEMO + SAVE_AND_RELOAD_DOCUMENT, "A"},
    {SAVE_DOCUMENT_AS, "Enregistrer document sous"},
    {MNEMO + SAVE_DOCUMENT_AS, "S"},
    {TRANSFORM, "Transformer document"},
    {TRANSFORM_AS, "Transformer document sous"},
    {MNEMO + TRANSFORM_AS, "V"},
    {RETRANSFORM, "Retransformer document"},
    {MNEMO + RETRANSFORM, "R"},
    {TRANSFORM_INFORMATION, "Informations de transformation"},
    {TRANSFORM_PARAMETERS, "Paramtres de transformation"},
    {PROCESS_BATCH, "Traiter lot"},
    {MNEMO + PROCESS_BATCH, "L"},
    {SAVE_DTD, "Enregistrer DTD"},
    {MNEMO + SAVE_DTD, "T"},
    {SAVE_DTD_AS, "Enregistrer DTD sous"},
    {MNEMO + SAVE_DTD_AS, "T"},
    {SAVE_RNG, "Enregistrer RNG"},
    {QUITTER, "Quitter"},
    {MNEMO + QUITTER, "Q"},
    {SEE, "Voir"},
    {BUILDING, "En construction"},

    // Textes concernant les ditions

    {EDITION, "Edition"},
    {MNEMO + EDITION, "E"},
    {DEFAIRE, "Dfaire"},
    {MNEMO + DEFAIRE, "D"},
    {REFAIRE, "Refaire"},
    {MNEMO + REFAIRE, "R"},
    {NOUVEAU_PRECEDENT, "Nouveau prcdent"},
    {MNEMO + NOUVEAU_PRECEDENT, "P"},
    {NOUVEAU_SUIVANT, "Nouveau suivant"},
    {MNEMO + NOUVEAU_SUIVANT, "U"},
    {NOUVEAU_DESCENDANT, "Nouveau descendant"},
    {MNEMO + NOUVEAU_DESCENDANT, "N"},
    {NEW_ATTRIBUTE, "Nouvel attribut"},
    {MNEMO + NEW_ATTRIBUTE, "A"},
    {REMOVE_ATTRIBUTE, "Supprimer attribut"},
    {MNEMO + REMOVE_ATTRIBUTE, "B"},
    {MOVE, "Dplacer"},
    {MNEMO + MOVE, "L"},
    {PASSER_PRECEDENT, "Passer prcdent"},
    {MNEMO + PASSER_PRECEDENT, "P"},
    {PASSER_SUIVANT, "Passer suivant"},
    {MNEMO + PASSER_SUIVANT, "U"},
    {PASSER_DESCENDANT, "Passer descendant"},
    {MNEMO + PASSER_DESCENDANT, "D"},
    {PASSER_PARENT, "Passer parent"},
    {MNEMO + PASSER_PARENT, "R"},
    {TO_BE_MOVED, "A dplacer"},
    {MNEMO + TO_BE_MOVED, "A"},
    {REORDER_ASCENDING, "Rordonner en croissant"},
    {MNEMO + REORDER_ASCENDING, "C"},
    {REORDER_DESCENDING, "Rordonner en dcroissant"},
    {MNEMO + REORDER_DESCENDING, "E"},
    {EMPAQUETER, "Empaqueter"},
    {MNEMO + EMPAQUETER, "Q"},
    {DEPAQUETER, "Dpaqueter"},
    {MNEMO + DEPAQUETER, "T"},
    {JOINDRE_SUIVANT, "Joindre au suivant"},
    {MNEMO + JOINDRE_SUIVANT, "J"},
    {DIVISER, "Diviser"},
    {MNEMO + DIVISER, "V"},
    {SPECIAL, "Spciale"},
    {MNEMO + SPECIAL, "S"},
    {EXPANSER, "Expanser en profondeur"},
    {MNEMO + EXPANSER, "X"},
    {LECTURE_SEULE, "Lect.seul."},
    {READY, "Prt"},
    {DOCUMENT_MODIFIE, "Modifi"},
    {RAPPORT, "Rapport"},
    {REJETER, "Rejeter"},
    {MNEMO + REJETER, "R"},
    {TOUT_REJETER, "Tout rejeter"},
    {MNEMO + TOUT_REJETER, "J"},
    {EXECUTER, "Excuter"},
    {MNEMO + EXECUTER, "E"},
    {TOUT_EXECUTER, "Tout excuter"},
    {MNEMO + TOUT_EXECUTER, "T"},

    // Textes concernant la gestion des fragments

    {FRAGMENT, "Fragment"},
    {MNEMO + FRAGMENT, "M"},
    {CUT, "Couper"},
    {MNEMO + CUT, "P"},
    {COPY, "Copier"},
    {MNEMO + COPY, "C"},
    {COPY_TO_CLIPBOARD, "Copier vers presse-papier"},
    {MNEMO + COPY_TO_CLIPBOARD, "R"},
    {PASTE_BEFORE, "Coller avant"},
    {MNEMO + PASTE_BEFORE, "O"},
    {PASTE_AFTER, "Coller aprs"},
    {MNEMO + PASTE_AFTER, "A"},
    {PASTE_UNDER, "Coller sous"},
    {MNEMO + PASTE_UNDER, "S"},
    {PASTE_CLIPBOARD_BEFORE, "Coller presse-papier avant"},
    {MNEMO + PASTE_CLIPBOARD_BEFORE, "V"},
    {PASTE_CLIPBOARD_AFTER, "Coller presse-papier aprs"},
    {MNEMO + PASTE_CLIPBOARD_AFTER, "E"},
    {PASTE_CLIPBOARD_UNDER, "Coller presse-papier sous"},
    {MNEMO + PASTE_CLIPBOARD_UNDER, "U"},
    {COPY_FRAGMENT_TO_CLIPBOARD, "Copier fragment dans presse-papier"},
    {MNEMO + COPY_FRAGMENT_TO_CLIPBOARD, "T"},
    {COPY_CLIPBOARD_TO_FRAGMENT, "Copier presse-papier dans fragment"},
    {MNEMO + COPY_CLIPBOARD_TO_FRAGMENT, "R"},

    // Textes concernant les vues

    {VOIR, "Voir"},
    {MNEMO + VOIR, "I"},
    {CHERCHER, "Chercher"},
    {MNEMO + CHERCHER, "C"},
    {IGNORE_CASE, "Ignorer Maj/Min"},
    {ENTIRE_CONFORMANCE, "Entire conformit"},
    {EVALUATE, "Evaluer"},
    {MNEMO + EVALUATE, "E"},
    {COMPARE, "Comparer"},
    {MNEMO + COMPARE, "C"},
    {ASSOCIATE, "Associer"},
    {MNEMO + ASSOCIATE, "A"},
    {ASSOCIATED_ELEMENT, "Elment associ"},
    {MNEMO + ASSOCIATED_ELEMENT, "E"},
    {DISASSOCIATE, "Dsassocier"},
    {MNEMO + DISASSOCIATE, "D"},
    {MERGE_AS, "Fusionner sous"},
    {MNEMO + MERGE_AS, "F"},
    {STATISTIQUE, "Statistique"},
    {MNEMO + STATISTIQUE, "S"},
    {BROWSING, "Navigation"},
    {MNEMO + BROWSING, "N"},
    {OPERATIONS, "Oprations"},
    {MNEMO + OPERATIONS, "O"},
    {TOUT_DEFAIRE, "Tout dfaire"},
    {MNEMO + TOUT_DEFAIRE, "D"},
    {TOUT_REFAIRE, "Tout refaire"},
    {MNEMO + TOUT_REFAIRE, "R"},
    {EFFACER_DEFAIRE, "Effacer dfaire"},
    {MNEMO + EFFACER_DEFAIRE, "F"},
    {EFFACER_REFAIRE, "Effacer refaire"},
    {MNEMO + EFFACER_REFAIRE, "A"},
    {CHARGER, "Charger"},
    {MNEMO + CHARGER, "C"},
    {ENREGISTRER, "Enregistrer"},
    {MNEMO + ENREGISTRER, "E"},
    {CHARGER_OPERATIONS, "Charger oprations"},
    {ENREGISTRER_OPERATIONS_SOUS, "Enregistrer oprations sous"},
    {EFFACER, "Effacer"},
    {MNEMO + EFFACER, "E"},
    {IMPORT, "Importer"},
    {MNEMO + IMPORT, "I"},
    {TO_CLIPBOARD, "To clipboard"},
    {MNEMO + TO_CLIPBOARD, "T"},
    {FROM_CLIPBOARD, "From clipboard"},
    {MNEMO + FROM_CLIPBOARD, "F"},
    {SELECTION_D_INSTANCE, "Slection d'instance"},
    {INSTANCE_OUTIL, "Instance xmloperator"},
    {ELEMENTS_REFERENCANT, "Elments rfrenant"},
    {MNEMO + ELEMENTS_REFERENCANT, "E"},
    {INVALID_ELEMENT, "Elment invalide"},
    {MNEMO + INVALID_ELEMENT, "I"},
    {REFERING, "Rfrenant"},
    {CIBLE, "Cible"},
    {MNEMO + CIBLE, "C"},
    {RESULTAT_DE_RECHERCHE, "Rsultat de recherche"},
    {BROWSING_HISTORY, "Historique de navigation"},
    {ERREURS, "Erreurs"},
    {MNEMO + ERREURS, "U"},
    {EXCEPTION_TRACE, "Trace d'exception"},
    {MNEMO + EXCEPTION_TRACE, "X"},
    {SOURCE, "Source"},
    {RECONSTRUIRE, "Reconstruire"},
    {MNEMO + ERREURS, "R"},
    {CHANGE_LAYOUT, "Changer disposition"},
    {MNEMO + CHANGE_LAYOUT, "D"},
    {ELEMENT, "Elment"},
    {NOMBRE, "Nombre"},
    {LINE_NUMBER, "Ligne"},
    {COLUMN_NUMBER, "Colonne"},
    {LOCATION, "Emplacement"},
    {ELEMENT_AT_LOCATION, "Elment  l'emplacement"},
    {MNEMO + ELEMENT_AT_LOCATION, "L"},
    {CONTENT_MODEL, "Modle de contenu"},
    {MNEMO + CONTENT_MODEL, "C"},
    {CONTENT_MODEL_OF, "Modle de contenu de "},
    {ELEMENT_LABELLING, "Prsentation d'lment"},
    {MNEMO + ELEMENT_LABELLING, "P"},

    // Textes concernant les options

    {OPTIONS, "Options"},
    {MNEMO + OPTIONS, "S"},
    {OPTIONS_DE_L_OUTIL, "Rglages"},
    {MNEMO + OPTIONS_DE_L_OUTIL, "G"},
    {MODIFIER_OPTIONS, "Modifier"},
    {MNEMO + MODIFIER_OPTIONS, "M"},
    {ENREGISTRER_OPTIONS, "Enregistrer"},
    {MNEMO + ENREGISTRER_OPTIONS, "E"},
    {OPTIONS_OUTILS_ENREGISTREES, "Les options de l'outil sont enregistres"},
    {OPTIONS_DOCUMENT_ENREGISTREES,
      "Les options attaches au type de document sont enregistres"},
    {RECHARGER, "Recharger"},
    {MNEMO + RECHARGER, "C"},
    {OPTIONS_OUTILS_RECHARGEES, "Les options de l'outil sont recharges"},
    {OPTIONS_DOCUMENT_RECHARGEES,
      "Les options attaches au type de document sont recharges"},
    {EDITER, "Editer"},
    {MNEMO + EDITER, "D"},
    {GENERAL, "Gnral"},
    {ADVANCED_USE, "Utilisation avance"},
    {PATHS, "Chemins"},
    {CHARGEMENT, "Chargement"},
    {OPEN_ERRORS_WINDOW_ON_ERRORS,
      "Ouvrir la fentre des erreurs en cas d'erreur"},
    {RESOURCES_MAX_COUNT, "Nombre maximum de documents"},
    {READONLY_PATH, "Chemin de recherche en lecture seule"},
    {CHEMIN_DE_RECHERCHE_XML, "Chemin de recherche XML"},
    {CHEMIN_DE_RECHERCHE_XSL, "Chemin de recherche XSL"},
    {CHEMIN_DE_RECHERCHE_DTD, "Chemin de recherche DTD"},
    {CHEMIN_DE_RECHERCHE_RNG, "Chemin de recherche RNG"},
    {CHEMIN_DE_RECHERCHE_OPTIONS, "Chemin de recherche options"},
    {CHEMIN_DE_RECHERCHE_OPERATIONS, "Chemin de recherche oprations"},
    {FILE_EXTENSIONS, "Suffixes de fichier (xml html ...)"},
    {DTD_AUTOMATIC_LOADING, "Chargement automatique du DTD"},
    {RNG_AUTOMATIC_LOADING, "Chargement automatique du schema RNG"},
    {PARSING, "Parsing"},
    {ENREGISTREMENT, "Enregistrement"},
    {XSLT, "XSLT"},
    {DEFAULT_ENCODING, "Encodage par dfaut"},
    {INCLUDE_DOCTYPE_NODE, "Inclure le noeud DOCTYPE"},
    {UTILISATION_DU_RACCOURCI_POUR_ELEMENT_VIDE,
      "Utilisation du raccourci pour lment vide"},
    {FILE_NAME_AUTOMATIC_INCREMENTING,
      "Incrmentation automatique des noms de fichier"},
    {DOCTYPE_IF_DTD, "DOCTYPE si DTD"},
    {TRACE_PATH_NAME, "Chemin d'accs au fichier de trace"},
    {TRACE_ELEMENTS, "Trace l'excution des lments de la feuille de style"},
    {TRACE_GENERATION, "Trace la gnration des noeuds rsultats"},
    {TRACE_SELECTION, "Trace les vnements de slection"},
    {TRACE_TEMPLATES, "Trace les invocations de template"},
    {TRACE_TEMPLATE_CHILDREN,
      "Trace les constructions de template descendant"},
    {QUIET_CONFLICT_WARNINGS, "Garde le silence sur les conflits de pattern"},
    {IDENTIFICATION, "Identification"},
    {LONGUEUR_IDENTIFIANT, "Longueur identifiant"},
    {ID_PREFIX, "Prfixe identifiant"},
    {SAUVEGARDE_DES_OPERATIONS, "Sauvegarde des oprations"},
    {CONFIRMATION_DES_SUPPRESSIONS_MULTIPLES,
      "Confirmation des suppressions multiples"},
    {EFFACEMENT_DE_DEFAIRE_APRES_ENREGISTREMENT,
      "Effacement de dfaire aprs enregistrement"},
    {ALLOWS_COMMENTS, "Autorise la cration de commentaire"},
    {ALLOWS_PROCESSING_INSTRUCTIONS,
      "Autorise la cration d'instruction de traitement"},
    {ALLOWS_CDATA_SECTIONS, "Autorise la cration de section CDATA"},
    {ALLOWS_ENTITY_REFERENCES, "Autorise la cration de rfrence d'entit"},
    {NODE_TYPE, "Type de noeud"},
    {AFFICHAGE, "Affichage"},
    {STATUS_BAR, "Barre d'tat"},
    {STATUS, "Etat"},
    {COMPARISON, "Comparaison"},
    {FONTE, "Fonte"},
    {NORMALE, "normale"},
    {GRANDE, "grande"},
    {PROPORTIONAL, "proportionelle"},
    {MONOSPACED, "largeur fixe"},
    {AUTOMATIC_ELEMENT_LABELLING,
      "Dtermination automatique de la reprsentation textuelle des lments"},
    {MESSAGE_PERSISTENCE_TIME_SECOND,
      "Dure de persistence d'un message en secondes"},
    {COMPOSITION_DU_LIBELLE_D_UN_NOEUD, "Composition du libell d'un noeud"},
    {ADD_LINEFEED_AT_STARTTAGEND,
      "Ajouter un saut de ligne  la fin de chaque balise introductive"},
    {LANGUE, "Langue"},
    {DEFAULT, "dfaut"},
    {FALSE, "faux"},
    {TRUE, "vrai"},
    {NO, "non"},
    {YES, "oui"},
    {CACHE, "cach"},
    {AFFICHE, "affich"},
    {ABSOLUTE, "absolu"},
    {RELATIVE, "relatif"},

    // Textes utiliss dans la vue de dtail

    {TYPE, "Type"},
    {NAME, "Nom"},
    {ATTRIBUTE, "Attribut"},
    {VALUE, "Valeur"},
    {GOTO, "sauter "},
    {ATTRIBUTS, "Attributs"},
    {NO_VALUE, "Sans valeur"},
    {CANCEL, "Abandonner"},
    {CANCEL_MOVE, "Abandonner dplacement"},
    {PARAMETER, "Paramtre"},
    {THE_USED_DTD_IS_NOT_ATTACHED_TO_THE_DOCUMENT,
      "Le DTD utilis n'est pas attach au document"},
    {VALID_CONTENT, "contenu valide"},
    {NOT_VALID_CONTENT, "contenu non valide"},
    {SELECT_ATTRIBUTE, "Selectionner attribut"},
    {RETURN_TO_ATTRIBUTE_TABLE, "Retourner  la table d'attributs"},

    // Textes utiliss dans les dialogues

    {VALIDER, "Valider"},
    {MNEMO + VALIDER, "V"},
    {ANNULER, "Annuler"},
    {MNEMO + ANNULER, "A"},
    {START, "Dmarrer"},
    {NEXT, "Suivant"},
    {LOCATION_PATH_WIZZARD, "Assistant de construction de chemin"},
    {SAVE, "Enregister"},
    {MNEMO + SAVE, "E"},
    {SAVE_AS, "Enregistrer sous"},
    {MNEMO + SAVE_AS, "S"},
    {PATH_NAME, "Nom de fichier"},
    {A_PROPOS, "A propos"},
    {MNEMO + A_PROPOS, "P"},
    {SEE_EXCEPTION, "VOIR LA TRACE D'EXCEPTION"},
    {IRREVERSIBLE_ACTION, "Action irrversible"},
    {DOCUMENT_NON_ENREGISTRE, "Document non enregistr"},
    {LE_FICHIER_EXISTE_DEJA, "Le fichier existe dja"},
    {MODIFICATIONS_NON_ENREGISTREES, "Modifications non enregistres"},
    {LE_DOCUMENT_EST_EN_LECTURE_SEULE, "Le document est en lecture seule"},
    {ID_DEJA_UTILISE, "Id dja utilis"},
    {DOCUMENT_TYPE_ALREADY_DEFINED, "Type de document dja dfini"},
    {ADDITIONAL_KEY_HAS_BEEN_CHANGED, "La cl additionnelle a t chang"},
    {TRANSFORMER_ALREADY_DEFINED, "Transformateur dja dfini"},
    {TRANSFORMER_NAME_HAS_BEEN_CHANGED,
      "Le nom de transformateur a t chang"},
    {BUILDING_DTD, "Construction du DTD"},
    {DTD_IS_BUILT, "Le DTD est construit"},
    {BUILDING_RNG_SIMPLE_SYNTAX, "Construction de la syntaxe simple RELAX NG"},
    {RNG_SIMPLE_SYNTAX_IS_BUILT, "La syntaxe simple RELAX NG est construite"},
    {DO_YOU_CONFIRM, "Confirmez vous"},
    {REMOVING_THE_EMPTY_TEXTS, "la suppression des textes vides"},
    {INDENTING_ELEMENTS, "l'indentation des lments"},
    {REMOVING_A_DOCUMENT_TYPE, "Suppression d'un type de document"},
    {REMOVING_A_TRANSFORMER, "Suppression d'un transformateur"},
    {L_ABANDON_DES_MODIFICATIONS, "l'abandon des modifications"},
    {L_ECRASEMENT_DE, "l'crasement de"},
    {ELEMENT_NAME, "Nom d'lment"},
    {REPLACEMENT_ELEMENT_NAME, "Nom d'lment de remplacement"},
    {PACK_ELEMENT_NAME, "Nom d'lment empaquetant"},
    {CHILD_ELEMENT_NAME, "Nom d'lment descendant"},
    {SIBLING_ELEMENT_NAME, "Nom d'lment voisin"},
    {CHILD_ELEMENT_OR_ATTRIBUTE_NAME, "Nom d'lment descendant ou d'attribut"},
    {ENTITY_NAME, "Nom d'entit"},
    {PREFIX, "Prfixe"},
    {ATTRIBUTE_PREFIX, "Prfixe d'attribut"},
    {LOCAL_NAME, "Nom local"},
    {ATTRIBUTE_LOCAL_NAME, "Nom local d'attribut"},
    {QUALIFIED_NAME, "Nom qualifi"},
    {ATTRIBUTE_QUALIFIED_NAME, "Nom qualifi d'attribut"},
    {ROOT_ELEMENT_NAME, "Nom d'lment racine"},
    {TEXT_OF_LEAF_ELEMENT, "Texte d'lment terminal"},
    {ALL_ATTRIBUTES, "Tous les attributs"},
    {ALL_SINGLE_ELEMENTS, "Tous les lments terminaux"},
    {ALL_ATTRIBUTES_AND_SINGLE_ELEMENTS,
    "Tous les attributs et lments terminaux"},
    {THE_ATTRIBUTE_WITH_THAT_NAME, "L'attribut portant ce nom"},
    {THE_SINGLE_ELEMENT_WITH_THAT_NAME, "L'lment terminal portant ce nom"},

    // Textes utiliss dans les messages

    {RESSOURCE_INVALIDE, "Ressource invalide"},
    {CHARGE, "Charge"},
    {NOTE_IDS, "Note les ids"},
    {PREPARE_VUE, "Prpare la vue"},
    {DOCUMENT_EN_LECTURE_SEULE, "Document en lecture seule"},
    {MOVE_IN_PROGRESS, "Dplacement en cours"},
    {OUVERTURE_EN_LECTURE_SEULE_POUR_CAUSE_D_EXISTENCE_DE_FICHIER_TMP,
      "Ouverture en lecture seule pour cause d'existence de fichier .tmp"},
    {ENREGISTREMENT_EN_COURS, "Enregistrement en cours"},
    {FUSION_EN_COURS, "Fusion en cours"},
    {TRANSFORMATION_IN_PROGRESS, "Transformation en cours"},
    {COMPARISON_IN_PROGRESS, "Comparaison en cours"},
    {THIS_DOCUMENT_HAS_NO_DTD_EXTERNAL_SUBSET,
      "Ce document ne rfrence pas de DTD externe"},
    {HAVE_BEEN_REPLACED_FOR_WRITING_OUT,
    "ont t remplacs pour l'enregistrement"},
    {AN_ELEMENT_MUST_BE_SELECTED, "Un lment doit tre slectionn"},
    {UN_ELEMENT_NE_PEUT_PAS_VENIR_LA, "Un lment ne peut pas venir l"},
    {IL_N_EST_PAS_DEFINI_D_ENTITE, "Il n'est pas dfini d'entit"},
    {NE_PEUT_AVOIR_DE_DESCENDANT,
      "Cet lment a dja ou ne peut avoir de descendant"},
    {NE_PEUT_AVOIR_DE_SUIVANT,
      "Cet lment a dja ou ne peut avoir de suivant"},
    {NE_PEUT_AVOIR_DE_PRECEDANT,
      "Cet lment a dja ou ne peut avoir de prcdant"},
    {THERE_ARE_NOT_ELEMENTS_WITH_THE_SAME_NAME,
      "Ce ne sont pas des lments de mme nom"},
    {NO_OPERATOR_DEFINED, "Il n'y a pas d'oprateur dfini"},
    {OPERATION_INTERDITE, "Opration interdite"},
    {NOT_ALLOWED_BECAUSE_MIXED_CONTENT, "Interdit pour cause de contenu mixte"},
    {COLLAGE_INTERDIT, "Collage interdit"},
    {CLIPBOARD_IS_EMPTY, "Le presse-papier est vide"},
    {NOT_FOUND, "non trouv"},
    {CHANGES_ARE_NOT_SAVED, "Des Changements n'ont pas t enregistrs"},
    {RESULT, "Rsultat"},
    {ILLEGAL_PATH_NAME, "Chemin d'accs invalide"},
    {NO_TRANSFORMER_DEFINED, "Il n'est pas dfini de transformateur"},
    {NO_TRANSFORMER_CLASS_DEFINED,
      "Il n'est pas dfini de classe de transformateur"},
    {NO_OPERATOR_CLASS_DEFINED, "Il n'est pas dfini de classe d'oprateur"},
    {NO_STYLE_SHEET_DEFINED, "Il n'est pas dfini de feuille de style"},
    {ELEMENT_SEQUENCE_NOT_SCHEMA_CONFORMANT,
      "La squence d'lments n'est pas conforme au schma"},
    {ELEMENT_CONTENT_NOT_SCHEMA_CONFORMANT,
      "Le contenu de l'lment n'est pas conforme au schma"},
    {NODES_REMOVED, "noeud(s) supprim(s)"},
    {THERE_IS_NO_OTHER_OPENED_INSTANCE,
      "Il n'y a pas d'autre instance ouverte"},
    {THERE_IS_NO_OPENED_DOCUMENT_FILE,
      "Il n'y a pas de fichier document ouvert"},
    {THERE_IS_NO_ASSOCIATED_DOCUMENT, "Il n'y a pas de document associ"},
    {THE_DOCUMENTS_HAVE_NOT_THE_SAME_TYPE,
      "Les documents ne sont pas de mme type"},
    {ROOT_ELEMENTS_ARE_NOT_ASSOCIATED,
      "Les lments-racines ne sont pas associs"},
    {THIS_ACTION_REQUIRES_AN_OPENED_DOCUMENT,
      "Cette action ncessite un document ouvert"},
    {CANCELED, "Abandonn"},
    {ALREADY_EXISTS, "Existe dja"},
    {THIS_ATTRIBUTE_IS_REQUIRED, "Cet attribut est obligatoire"},
    {THIS_ELEMENT_IS_DEEPLY_VALID, "Cet lment est valide en profondeur"},
    {EXPANDING_NODES, "Expansion des neuds..."},

    // Textes utiliss dans les conversions

    {LAST_UPDATE, "Dernire mise  jour"},
    {USER_GUIDE, "Manuel utilisateur"},
    {DEPENDENCIES, "dpendances"},
    {DEPENDS_ON, "dpend de"},
    {OBJECT_SCHEMA, "Schma objet"}};

  public ViewResource_fr() {
  }

  protected Object[][] getContents() {
    return contents;
  }
}
